# Class: ConnectionType

## ConnectionType

Enumerates connection types. Based on enums.h in monero-project.

Source:
  - src/main/js/daemon/model/ConnectionType.js, line 10

### Members

#### (static) I2P

I2P connection type (value=4).

Source:
  - src/main/js/daemon/model/ConnectionType.js, line 50

#### (static) INVALID

Invalid connection type (value=0).

Source:
  - src/main/js/daemon/model/ConnectionType.js, line 30

#### (static) IPV4

IPV4 connection type (value=1).

Source:
  - src/main/js/daemon/model/ConnectionType.js, line 35

#### (static) IPV6

IPV6 connection type (value=2).

Source:
  - src/main/js/daemon/model/ConnectionType.js, line 40

#### (static) TOR

TOR connection type (value=3).

Source:
  - src/main/js/daemon/model/ConnectionType.js, line 45

### Methods

#### (static) isValid()

Indicates if the given connection type is valid or not.

Source:
  - src/main/js/daemon/model/ConnectionType.js, line 22

#### (static) validate()

Asserts that the given connection type is valid.

Source:
  - src/main/js/daemon/model/ConnectionType.js, line 15